Resets device
Resets mobile device for given console user, that user will need to do mobile onboarding again.
- Please note that this endpoint is available only for API keys with Admin/Non Signing Admin permissions. Endpoint Permission: Admin, Non-Signing Admin.
POST
/
management
/
users
/
{id}
/
reset_device
TypeScript
const response: Promise<FireblocksResponse<void>> = fireblocks.resetDevice.resetDevice(resetDeviceApiResetDeviceRequest);CompletableFuture<ApiResponse<Void>> response = fireblocks.resetDevice().resetDevice(id, idempotencyKey);response = fireblocks.reset_device.reset_device(id, idempotency_key);curl --request POST \
--url https://api.fireblocks.io/v1/management/users/{id}/reset_deviceconst options = {method: 'POST'};
fetch('https://api.fireblocks.io/v1/management/users/{id}/reset_device', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"message": "<string>",
"code": 123
}Headers
A unique identifier for the request. If the request is sent multiple times with the same idempotency key, the server will return the same response as the first request. The idempotency key is valid for 24 hours.
Path Parameters
The ID of the console user
Response
Reset device approval request has been sent
Was this page helpful?
⌘I
TypeScript
const response: Promise<FireblocksResponse<void>> = fireblocks.resetDevice.resetDevice(resetDeviceApiResetDeviceRequest);CompletableFuture<ApiResponse<Void>> response = fireblocks.resetDevice().resetDevice(id, idempotencyKey);response = fireblocks.reset_device.reset_device(id, idempotency_key);